#!/bin/bash

TELEGRAM_URL="https://api.telegram.org/bot930502709:AAFGj26bn-uB9UgsehnbGfSFz-FNTYR1mRU/sendMessage"
CHAT_ID="-1001165435702"

URLGGCHAT="https://chat.googleapis.com/v1/spaces/AAQADU6u7VQ/messages?key=AIzaSyDdI0hCZtE6vySjMm-WEfRq3CPzqKqqsHI&token=zXeFk3BSm4cxPXvyr14RmSBIj6OrfRdWyn4KiyH-iE8"

IP=`curl ifconfig.me`

localSize=`du -sh /backup/cpbackup/weekly/*`
nfsSize=`du -sh /backup-nfs/cpbackup/weekly/*`

accountNumber=`/usr/sbin/whmapi1 --output=jsonpretty get_current_users_count | /usr/bin/python2 -c "import sys, json; print json.load(sys.stdin)['data']['users']"`

localBkLatest=`find /backup/cpbackup/weekly/ -maxdepth 1 -type d | sort -g -r | head -1`
nfsBkLatest=`find /backup-nfs/cpbackup/weekly/ -maxdepth 1 -type d | sort -g -r | head -1`

countLocalBackupFiles=`ls $localBkLatest/accounts/*.tar.gz | wc -l`
countNFSBackupFiles=`ls $nfsBkLatest/accounts/*.tar.gz | wc -l`

hostname=`hostname`

freenasQuota=`df -h | grep "/backup-nfs" | awk '{print $2}'`
diskUsed=`df -h | grep "/backup-nfs" | awk '{print $3}'`
diskAvail=`df -h | grep "/backup-nfs" | awk '{print $4}'`
diskUsePercent=`df -h | grep "/backup-nfs" | awk '{print $5}'`
mountedOn=`df -h | grep "/backup-nfs" | awk '{print $6}'`

message="
IP address: $IP
Hostname: $hostname
Accounts: $accountNumber
---
Local Report:
Path: $localBkLatest
Files: $countLocalBackupFiles
$localSize
---
NFS Report:
Path: $nfsBkLatest
Files: $countNFSBackupFiles
$nfsSize
---
NFS Filesystem Report:
Quota: $freenasQuota
Used: $diskUsed
Avail: $diskAvail
Use%: $diskUsePercent
Mounted on: $mountedOn
"

curl -X POST $TELEGRAM_URL \
-H "Content-Type: application/x-www-form-urlencoded; charset=utf-8" \
--data-urlencode "text=$message" \
--data-urlencode "chat_id=$CHAT_ID" \
--data-urlencode "disable_web_page_preview=true" \
--data-urlencode "parse_mode=markdown"

curl -s -X POST "$URLGGCHAT" -H 'Content-Type: application/json' -d "{\"text\": \"$message\"}" > /dev/null
